<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.viaccessorca.voplayerdemo"
    android:versionCode="050500"
    android:versionName="VOPlayer8.3" >
    
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />

    <uses-feature android:glEsVersion="0x00020000" />

    <application
        android:icon="@mipmap/ic_launcher"
        android:banner="@drawable/logo_atv"
        android:label="@string/app_name"
        android:supportsRtl="true" >
        <activity
            android:name="com.viaccessorca.voplayerdemo.activities.MediaListActivity"
            android:allowTaskReparenting="true"
            android:theme="@style/Theme.AppCompat"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/launcher_app_name"
            android:launchMode="singleTop" >
        </activity>
        <activity android:name="com.npaw.youbora.lib6.utils.youboraconfigutils.YouboraConfigActivity" />
        <activity
            android:name="com.viaccessorca.voplayerdemo.activities.SplashActivity"
            android:label="@string/launcher_app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LEANBACK_LAUNCHER" />
            </intent-filter>


            <!-- Intent filter for Http Live Streaming detection -->
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:mimeType="application/x-mpegURL"
                    android:scheme="http" />
                <data
                    android:mimeType="application/x-mpegURL"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:mimeType="audio/x-mpegURL"
                    android:scheme="http" />
                <data
                    android:mimeType="audio/x-mpegURL"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:mimeType="application/vnd.apple.mpegURL"
                    android:scheme="http" />
                <data
                    android:mimeType="application/vnd.apple.mpegURL"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="*"
                    android:pathPattern=".*.m3u8"
                    android:scheme="http" />
                <data
                    android:host="*"
                    android:pathPattern=".*.m3u8"
                    android:scheme="https" />
                <data
                    android:host="*"
                    android:pathPattern=".*.mpd"
                    android:scheme="http" />
                <data
                    android:host="*"
                    android:pathPattern=".*.mpd"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:host="*"
                    android:pathPattern=".*.event"
                    android:scheme="http" />
                <data
                    android:host="*"
                    android:pathPattern=".*.event"
                    android:scheme="https" />
            </intent-filter>

            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:scheme="vop" />
            </intent-filter>

            <!-- Intent filter for HTTP progressive download detection -->
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data
                    android:mimeType="video/*"
                    android:scheme="http" />
                <data
                    android:mimeType="video/*"
                    android:scheme="https" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="video/*" />
                <data android:mimeType="application/sdp" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.viaccessorca.voplayerdemo.activities.SettingsActivity"
            android:allowTaskReparenting="true"
            android:configChanges="orientation|keyboardHidden"
            android:excludeFromRecents="true"
            android:label="@string/app_name"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name="com.viaccessorca.voplayerdemo.activities.PlayerActivity"
            android:configChanges="orientation|keyboardHidden"
            android:excludeFromRecents="true"
            android:launchMode="singleTop"
            android:screenOrientation="sensorLandscape"
            android:theme="@style/Theme.AppCompat.NoActionBar.FullScreen" >
        </activity>
        <activity
            android:name="com.viaccessorca.voplayerdemo.activities.DownloadActivity"
            android:allowTaskReparenting="true"
            android:configChanges="orientation|keyboardHidden"
            android:excludeFromRecents="true"
            android:label="@string/app_name"
            android:launchMode="singleTop" >
        </activity>
        <activity
            android:name="com.viaccessorca.voplayerdemo.activities.DrmManagerActivity"
            android:allowTaskReparenting="true"
            android:configChanges="orientation|keyboardHidden"
            android:windowSoftInputMode="stateHidden|adjustResize"
            android:excludeFromRecents="true"
            android:label="@string/app_name"
            android:launchMode="singleTop" >
        </activity>
        <meta-data
            android:name="com.google.android.gms.cast.framework.OPTIONS_PROVIDER_CLASS_NAME"
            android:value="com.viaccessorca.voplayerdemo.casting.CastOptionsProvider" />
        <service
            android:name=".downloader.DownloadService"
            android:enabled="true"
            android:exported="false">
        </service>
    </application>

</manifest>
